#
# Project Builder configuration file
# For project rinse
#
# $Id$
#

#
# What is the project URL
#
#pburl rinse = svn://svn.rinse.org/rinse/devel
#pburl rinse = svn://svn+ssh.rinse.org/rinse/devel
#pburl rinse = cvs://cvs.rinse.org/rinse/devel
#pburl rinse = http://www.rinse.org/src/rinse-devel.tar.gz
#pburl rinse = ftp://ftp.rinse.org/src/rinse-devel.tar.gz
#pburl rinse = file:///src/rinse-devel.tar.gz
#pburl rinse = dir:///src/rinse-devel

# Repository
#pbrepo rinse = ftp://ftp.rinse.org
#pbml rinse = rinse-announce@lists.rinse.org
#pbsmtp rinse = localhost

# Check whether project is well formed 
# when downloading from ftp/http/...
# (containing already a directory with the project-version name)
#pbwf rinse = 1

#
# Packager label
#
#pbpackager rinse = William Porte <bill@rinse.org>
#

# For delivery to a machine by SSH (potentially the FTP server)
# Needs hostname, account and directory
#
#sshhost rinse = www.rinse.org
#sshlogin rinse = bill
#sshdir rinse = /rinse/ftp
#sshport rinse = 22

#
# For Virtual machines management
# Naming convention to follow: distribution name (as per ProjectBuilder::Distribution)
# followed by '-' and by release number
# followed by '-' and by architecture
# a .vmtype extension will be added to the resulting string
# a QEMU rhel-3-i286 here means that the VM will be named rhel-3-i386.qemu
#
#vmlist rinse = mandrake-10.1-i386,mandrake-10.2-i386,mandriva-2006.0-i386,mandriva-2007.0-i386,mandriva-2007.1-i386,mandriva-2008.0-i386,redhat-7.3-i386,redhat-9-i386,fedora-4-i386,fedora-5-i386,fedora-6-i386,fedora-7-i386,fedora-8-i386,rhel-3-i386,rhel-4-i386,rhel-5-i386,suse-10.0-i386,suse-10.1-i386,suse-10.2-i386,suse-10.3-i386,sles-9-i386,sles-10-i386,gentoo-nover-i386,debian-3.1-i386,debian-4.0-i386,ubuntu-6.06-i386,ubuntu-7.04-i386,ubuntu-7.10-i386,mandriva-2007.0-x86_64,mandriva-2007.1-x86_64,mandriva-2008.0-x86_64,fedora-6-x86_64,fedora-7-x86_64,fedora-8-x86_64,rhel-4-x86_64,rhel-5-x86_64,suse-10.2-x86_64,suse-10.3-x86_64,sles-10-x86_64,gentoo-nover-x86_64,debian-4.0-x86_64,ubuntu-7.04-x86_64,ubuntu-7.10-x86_64

#
# Valid values for vmtype are
# qemu, (vmware, xen, ... TBD)
#vmtype rinse = qemu

# Hash for VM stuff on vmtype
#vmntp default = pool.ntp.org

# We suppose we can commmunicate with the VM through SSH
#vmhost rinse = localhost
#vmlogin rinse = pb
#vmport rinse = 2222

# Timeout to wait when VM is launched/stopped
#vmtmout default = 120

# per VMs needed paramaters
#vmopt rinse = -m 384 -daemonize
#vmpath rinse = /home/qemu
#vmsize rinse = 5G

# 
# For Virtual environment management
# Naming convention to follow: distribution name (as per ProjectBuilder::Distribution)
# followed by '-' and by release number
# followed by '-' and by architecture
# a .vetype extension will be added to the resulting string
# a chroot rhel-3-i286 here means that the VE will be named rhel-3-i386.chroot
#
#velist rinse = fedora-7-i386

# VE params
#vetype rinse = chroot
#ventp default = pool.ntp.org
#velogin rinse = pb
#vepath rinse = /var/lib/mock
#veconf rinse = /etc/mock
#verebuild rinse = false

#
# Global version/tag for the project
#
#projver rinse = devel
#projtag rinse = 1

# Hash of valid version names
#version rinse = devel,stable

# Is it a test version or a production version
testver rinse = true

# Adapt to your needs:
# Optional if you need to overwrite the global values above
#
#pkgver pkg1 = stable
#pkgtag pkg1 = 3
# Hash of default package/package directory
#defpkgdir pkg1 = dir-pkg1
# Hash of additional package/package directory
#extpkgdir minor-pkg = dir-minor-pkg

# List of files per pkg on which to apply filters
# Files are mentioned relatively to pbroot/defpkgdir
#filteredfiles pkg1 = Makefile.PL,configure.in,install.sh,pkg1.8
#supfiles pkg1 = pkg1.init

# For perl modules, names are different depending on distro
# Here perl-xxx for RPMs, libxxx-perl for debs, ...
# So the package name is indeed virtual
#namingtype pkg1 = perl
